:root {
  --primary-color: #ff752b;
  --btn-bg-color: rgba(37, 48, 124, 0.04);
  --pop-color: #475fff;
}

#copy-input {
  position: absolute;
  top: 50%;
  opacity: 0;
}
.wrapper {
  overflow-y: auto;
  position: relative;
  width: 100%;
  min-height: 100vh;
  background: url(../images/invite-bg.png) no-repeat center -0.92rem var(--primary-color);
  background-size: contain;
}
.container {
  position: relative;
  padding: 0 0.16rem 0.1rem;
  /* min-height: 100vh; */
}

.top-bg {
  width: 2.43rem;
  height: 0.99rem;
  margin: 0 auto;
  margin-top: 0.23rem;
  display: block;
  /* background: #000; */
  /* opacity: 0.6; */
}

.header {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: relative;
  /* margin-top: 2.5rem; */
  margin-top: 1.6rem;
  padding: 0.29rem 0.16rem;
  padding-top: 0.4rem;
  border-radius: 0.16rem;
  background: #fef4dc;
  box-shadow: 0px 4px 1px #e9b74d inset, 0px 10px 5px #ffffff40 inset;
}

.header .user {
  display: flex;
  position: absolute;
  top: -0.28rem;
  align-items: center;
  font-weight: 700;
  font-size: 0.12rem;
  color: white;
}
.header .user .avatar {
  border-radius: 50%;
  width: 0.56rem;
  height: 0.56rem;
}
.header .user .avatar img {
  display: block;
  border-radius: 50%;
  width: 100%;
  height: 100%;
}

.header .dialog {
  position: relative;
  padding: 0.14rem 0.1rem 0.1rem;
  border-radius: 0.06rem;
  color: #64180b;
}

.dialog-inner {
  padding: 0.06rem;
  border-radius: 0.16rem;
  background: linear-gradient(to right, #4386fe, #f66688);
  background-size: cover;
}

#dialog-text {
  border-radius: 0.1rem;
  background: #fef4dc;
}

.header .dialog .text-12 {
  line-height: 0.2rem;
  font-weight: 500;
  font-size: 0.12rem;
}
.header .dialog .text-14 {
  margin-top: 0.04rem;
  line-height: 0.24rem;
  font-weight: 400;
  font-size: 0.14rem;
}
.header .dialog .text-14 > span {
  /* color: #fbbe40; */
  color: #02b96b;
}
.main {
  position: relative;
  margin-top: 0.2rem;
  width: 100%;
  height: 0.7rem;
}
.main::after {
  display: block;
  visibility: hidden;
  clear: both;
  height: 0;
  content: " ";
}
/* .main.in {
	background: url(../images/main_bg_in.png) no-repeat center;
	background-size: contain;
}
.main.ba {
	background: url(../images/main_bg_ba.png) no-repeat center;
	background-size: contain;
}
.main.us {
	background: url(../images/main_bg_us.png) no-repeat center;
	background-size: contain;
} */
.main .content {
  position: absolute;
  left: 50%;
  bottom: 0.18rem;
  width: 100%;
  transform: translateX(-50%);
}
.main .content .hand {
  position: absolute;
  right: -0.22rem;
  top: 0.08rem;
  width: 0.8rem;
  height: 0.8rem;
  background: url(../images/hand.png) no-repeat center;
  background-size: contain;
  animation: hand 1s infinite;
}
.main .content .button {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 0.12rem;
  padding-top: 0.12rem;
  border-radius: 0.7rem;
  border-radius: 59.8519px;
  min-width: 2.64rem;
  height: 0.52rem;
  background: linear-gradient(90deg, #ff6723 0%, #ff4127 100%),
    linear-gradient(90deg, #f86b2c 0%, #eb3218 100%),
    linear-gradient(180deg, #ffec8b 0%, #feb745 71.87%, #fec352 100%),
    linear-gradient(180deg, #ffb311 0%, #f85d1b 100%),
    linear-gradient(180deg, #feba35 0%, #fe6935 100%),
    linear-gradient(180deg, #ffec8b 0%, #feb745 71.87%, #fec352 100%),
    linear-gradient(180deg, #fef8d8 0%, #fed096 100%);
  box-shadow: 0 4px 0 #c23821, 0 9px 15px rgba(54, 40, 38, 0.48),
    inset 0 4.43408px 2.53376px rgba(255, 245, 224, 0.34);
}
.main .content .button .icon {
  display: inline-block;
  margin-top: -0.1rem;
  width: 0.28rem;
  height: 0.28rem;
  background: url(../images/button_icon.png) no-repeat center;
  background-size: contain;
}
.main .content .button .text {
  display: inherit;
  margin-top: -0.1rem;
  line-height: 0.3rem;
  font-weight: 700;
  font-size: 0.18rem;
  color: #64180b;
  color: #fff;
}

.grid-step {
  display: flex;
  justify-content: space-between;
  /* align-items: center; */
  align-items: flex-start;
  margin-top: 0.28rem;
  padding: 0.27rem 0.24rem;
  border-radius: 0.16rem;
  background: #fef4dc;
  box-shadow: 0 4px 4px rgba(0, 0, 0, 0.25),
    inset 4px 0 5px rgba(255, 255, 255, 0.25),
    inset -4px 0 5px rgba(255, 255, 255, 0.25);
}

.grid-step .grid-step__item {
  display: flex;
  position: relative;
  flex-direction: column;
  align-items: center;
  flex: 1;
}

.grid-step .grid-step__item img {
  width: 0.64rem;
  height: 0.64rem;
}

.grid-step .grid-step__item-append::after {
  position: absolute;
  right: -0.15rem;
  top: 0.34rem;
  width: 0.26rem;
  height: 0.26rem;
  background: url(../images/icon-arrow-double.png) no-repeat center center;
  background-size: contain;
  content: " ";
  transform: translateY(-50%);
}

.grid-step .grid-step__item .text-tit {
  margin-top: 0.12rem;
  margin-bottom: 0.04rem;
  height: 0.2rem;
  line-height: 0.2rem;
  text-align: center;
  font-family: Roboto;
  font-weight: 500;
  font-size: 0.14rem;
  color: #64180b;
  color: #64180b;
}
.grid-step .grid-step__item .text-bot {
  line-height: 0.18rem;
  text-align: center;
  font-family: Roboto;
  font-size: 0.12rem;
  color: #b16046;
}

.footer {
  position: relative;
  margin: 0.24rem auto 0;
  margin-bottom: 0.2rem;
  height: 2.2rem;
  background: url(../images/bot-bg.png) no-repeat center bottom;
  background-size: cover;
}
.footer .footer-tip {
  position: absolute;
  left: 50%;
  top: 0.08rem;
  padding: 0 0.2rem;
  border-radius: 0.4rem;
  min-width: 1.33rem;
  height: 0.22rem;
  background: #ff972f;
  opacity: 0.94;
  line-height: 0.22rem;
  text-align: center;
  font-family: Roboto;
  font-weight: 500;
  font-size: 0.12rem;
  color: #8e4116;
  transform: translateX(-50%);
}

.footer .content {
  overflow-y: hidden;
  position: absolute;
  left: 50%;
  bottom: 0.34rem;
  padding: 0 0.12rem 0;
  width: 3rem;
  height: 1.26rem;
  transform: translateX(-50%);
}
.footer .content .withdraw-list .item {
  margin-bottom: 0.08rem;
  border-radius: 0.2rem;
  line-height: 0.2rem;
  text-align: center;
  font-weight: 400;
  font-size: 0.12rem;
  color: #64180b;
}
.footer .content .withdraw-list .item > span {
  margin-left: 0.03rem;
  font-weight: 500;
  color: #28ca68;
}
.mask {
  display: none;
  overflow-y: auto;
  position: fixed;
  left: 0;
  top: 0;
  z-index: 999;
  width: 100vw;
  height: 100vh;
  background: rgba(20, 20, 43, 0.57);

  backdrop-filter: blur(4px);
}
.mask .dialog {
  position: absolute;
  left: 50%;
  top: 44%;
  width: 3.25rem;
  height: 4rem;
  background: url(../images/pop-bg.png) no-repeat center top;
  background-size: cover;
  transform: translate(-50%, -50%);
}

.mask .dialog .dialog__top {
  position: relative;
  top: 1.26rem;
  text-align: center;
  text-shadow: 2px 4px 4px rgba(20, 62, 111, 0.86);
  font-family: "Bowlby One SC";
  /* color: #0d9574; */
  font-weight: 500;
  font-size: 0.2rem;
  color: #fcf2d1;
}

.mask .dialog .close {
  position: absolute;
  left: 50%;
  bottom: -0.63rem;
  width: 0.36rem;
  height: 0.36rem;
  background: url(../images/dialog_close.png) no-repeat center;
  background-size: contain;
  transform: translateX(-50%);
}
.mask .dialog .button {
  display: flex;
  position: absolute;
  left: 50%;
  bottom: 0.26rem;
  justify-content: center;
  align-items: center;
  box-sizing: border-box;
  padding: 0 0.06rem;
  padding-top: 0.06rem;
  border-radius: 0.7rem;
  border-radius: 59.8519px;
  min-width: 2.38rem;
  height: 0.46rem;
  background: linear-gradient(180deg, #ffec8b 0%, #feb745 71.88%, #fec352 100%);
  background: linear-gradient(90deg, #ff6723 0%, #ff4127 100%),
    linear-gradient(90deg, #f86b2c 0%, #eb3218 100%),
    linear-gradient(180deg, #ffec8b 0%, #feb745 71.87%, #fec352 100%),
    linear-gradient(180deg, #ffb311 0%, #f85d1b 100%),
    linear-gradient(180deg, #feba35 0%, #fe6935 100%),
    linear-gradient(180deg, #ffec8b 0%, #feb745 71.87%, #fec352 100%),
    linear-gradient(180deg, #fef8d8 0%, #fed096 100%);
  box-shadow: 0 8px 20px #90281680, 0 0 8px #fedb66 inset;
  box-shadow: 0 4px 0 #c23821, 0 9px 15px rgba(54, 40, 38, 0.48),
    inset 0 4.43408px 2.53376px rgba(255, 245, 224, 0.34);
  color: #fff;
  transform: translateX(-50%);
}
.mask .dialog .button .icon {
  margin-right: 0.02rem;
  margin-top: -0.08rem;
  width: 0.24rem;
  height: 0.24rem;
  /* background: url(../images/download_icon.png) no-repeat center; */
  background: url(../images/button_icon.png) no-repeat center;
  background-size: contain;
}

.mask .dialog .button .hand {
  position: absolute;
  right: -0.22rem;
  top: 0.08rem;
  width: 0.8rem;
  height: 0.8rem;
  background: url(../images/hand.png) no-repeat center;
  background-size: contain;
  animation: hand 1s infinite;
}
.mask .dialog .button .text {
  display: inherit;
  margin-top: -0.08rem;
  line-height: 0.3rem;
  font-weight: 700;
  font-size: 0.16rem;
  color: #65150a;
  color: #fff;
}
.mask .dialog .content {
  margin: 0 0.48rem;
  margin-top: 1.6rem;
  line-height: 0.28rem;
  text-align: center;
  font-weight: 700;
  font-size: 0.145rem;
  font-size: 0.18rem;
  color: #a93838;
}
.mask .dialog .content span {
  color: #f8393a;
}

@keyframes hand {
  0% {
    transform: none;
  }
  50% {
    transform: scale3d(0.8, 0.8, 0.8);
  }
  100% {
    transform: none;
  }
}

.invite-code {
  display: flex;
  justify-content: space-between;
  font-size: 0.12rem;
  align-items: center;
  padding-top: 0.07rem;
  margin-top: 0.12rem;
  color: #b16046;
  border-top: 1px solid rgba(115, 59, 154, .2);
}

/* .invite-code__left {
}
 */
.invite-code__left .code {
  color: #02b96b;
  font-size: 0.18rem;
}

.invite-code__right {
  padding: 0 0.19rem;
  height: 0.3rem;
  line-height: 0.3rem;
  vertical-align: middle;
  border-radius: 0.32rem;
  background: linear-gradient(90deg, #f86b2c 0%, #eb3218 100%);
  box-shadow: 0px 4.4px 2.5px #fff5e057 inset, 0px 8.2px 2.5px #ffffff45 inset,
    0px -10.8px 14.6px #ffffff38 inset, 0px 2.5px 12.7px #00000017;

  color: #ffffff;
  font-family: Roboto;
  font-weight: bold;
  font-size: 0.14rem;
}
